package com.crunii.micro.service.sysmgr.enums;

/**
 * @author lmlksy
 * @date 2023/12/18 14:16
 */
public enum AliEventMessageType {
    // 比赛报名通知
    SIGN_UP_NOTIFICATION("SMS_464205827", "青春重庆-赛事活动-比赛报名通知"),
    // 赛事报名成功通知
    SIGN_UP_SUCCESS_NOTIFICATION("SMS_464230790", "青春重庆-赛事活动-赛事报名成功通知"),
    // 完善比赛信息通知
    COMPLETE_INFO_NOTIFICATION("SMS_464255727", "青春重庆-赛事活动-完善比赛信息通知"),
    // 赛事报名审核通过通知
    SIGN_UP_APPROVED_NOTIFICATION("SMS_464260779", "青春重庆-赛事活动-赛事报名审核通过通知"),
    // 赛事报名审核未通过通知
    SIGN_UP_REJECTED_NOTIFICATION("SMS_464255734", "青春重庆-赛事活动-赛事报名审核未通过通知"),
    // 作品未上传提醒
    UPLOAD_REMINDER("SMS_464180832", "青春重庆-赛事活动-作品未上传提醒"),
    // 参加比赛通知-带地点
    PARTICIPATION_NOTIFICATION_WITH_LOCATION("SMS_464255736", "青春重庆-赛事活动-参加比赛通知-带地点"),
    // 赛事获奖通知
    AWARD_NOTIFICATION("SMS_464185784", "青春重庆-赛事活动-赛事获奖通知"),
    // 赛事晋级通知
    PROMOTION_NOTIFICATION("SMS_464225828", "青春重庆-赛事活动-赛事晋级通知"),
    // 报名截止时间通知
    REGISTRATION_DEADLINE_NOTIFICATION("SMS_464240784", "青春重庆-赛事活动-报名截止时间通知"),
    // 报名待审核通知
    PENDING_APPROVAL_NOTIFICATION("SMS_464225829", "青春重庆-赛事活动-报名待审核通知"),
    // 作品待评审通知
    PENDING_JUDGING_NOTIFICATION("SMS_464165786", "青春重庆-赛事活动-作品待评审通知"),
    // 待设置排名晋级通知
    PENDING_RANKING_NOTIFICATION("SMS_464205837", "青春重庆-赛事活动-待设置排名晋级通知"),
    // 待公示通知
    PENDING_ANNOUNCEMENT_NOTIFICATION("SMS_464160881", "青春重庆-赛事活动-待公示通知"),
    // 公示结束通知
    ANNOUNCEMENT_END_NOTIFICATION("SMS_464185786", "青春重庆-赛事活动-公示结束通知"),
    // 比赛待结束通知
    ENDING_SOON_NOTIFICATION("SMS_464205838", "青春重庆-赛事活动-比赛待结束通知"),
    // 比赛领奖通知-邮寄
    PRIZE_COLLECTION_SHIPPING_NOTIFICATION("SMS_464205839", "青春重庆-赛事活动-比赛领奖通知-邮寄"),
    // 比赛领奖通知
    PRIZE_COLLECTION_NOTIFICATION("SMS_464185788", "青春重庆-赛事活动-比赛领奖通知"),
    // 参加比赛通知
    PARTICIPATION_NOTIFICATION("SMS_464230808", "青春重庆-赛事活动-参加比赛通知"),
    // 青春重庆-活动中心-活动报名审核通过
    ACTIVITY_REGISTRATION_APPROVED("SMS_464541148", "青春重庆-活动中心-活动报名成功通知"),
    ACTIVITY_PUBLISH_WAITING("SMS_464755741", "青春重庆-活动中心-活动发布待审核通知"),
    ACTIVITY_PUBLISH_CHECKED("SMS_464745761", "青春重庆-活动中心-活动发布已审核通知"),
    COMPETITION_FINANCING_APPROVED("SMS_464471210", "青春重庆-赛事-申请审核结果通知"),
    INNOVATION_ENTREPRENEURSHIP_APPROVED("SMS_464456230", "青春重庆-创新创业-申请审核通知"),
    INNOVATION_YOUTH_APPROVED("SMS_464526336", "青春重庆-创新创业-创业青年申请通知"),
    INNOVATION_SETTLED_APPROVED("SMS_464511356", "青春重庆-创新创业-入驻申请审核结果通知"),

    TUHUI_YOUTH_HOTSPOT_AWAITING("SMS_464831166", "青春重庆-青年热点-青年热点待审核短信通知"),

    COMPETITION_EVENT_RELEASE_REVIEW("SMS_464781272", "青春重庆-赛事天地-赛事发布审核"),
    COMPETITION_EVENT_RELEASE_REVIEW_ADVISE_FATE("SMS_464806111", "青春重庆-赛事天地-赛事发布审核通知结果"),

    COMPETITION_AWAITING_SMS_ALERT("SMS_464970433", "青春重庆-赛事-赛事待审核短信通知"),
    ;

    private final String code;
    private final String description;

    AliEventMessageType(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}

